% Objetivo 2 - estudo do potencial efetivo (Vef)


g = 1;
l = 1;
a = 0.1;
v = 10*sqrt(2);

% Potencial efetivo
Vef = @(theta) -(g/l).*cos(theta) + (((a*v)/(2*l)).*sin(theta)).^2;

dtheta = 0.05;
Theta = 0 : dtheta : 2*pi;

figure;
plot(Theta, Vef(Theta))
title(sprintf('a = %g   v = %g',a,v))
xlabel('$\theta$','Interpreter','LaTex')
ylabel('Vef')

% Estudando sistema simplificado theta'' = F(theta) = -grad(Vef);
F = @(theta) -(g/l).*sin(theta) - 0.5.*((a*v/l)^2).*sin(theta).*cos(theta);

figure;
plot(Theta, F(Theta))
title(sprintf('a = %g   v = %g',a,v))
xlabel('$\theta$','Interpreter','LaTex')
ylabel('F(theta)')